import request from '@/utils/request'

// 查询常用联系人列表
export function listContacts(query) {
  return request({
    url: '/system/contacts/list',
    method: 'get',
    params: query
  })
}

// 查询常用联系人详细
export function getContacts(id) {
  return request({
    url: '/system/contacts/' + id,
    method: 'get'
  })
}

// 新增常用联系人
export function addContacts(data) {
  return request({
    url: '/system/contacts',
    method: 'post',
    data: data
  })
}

// 修改常用联系人
export function updateContacts(data) {
  return request({
    url: '/system/contacts',
    method: 'put',
    data: data
  })
}

// 删除常用联系人
export function delContacts(id) {
  return request({
    url: '/system/contacts/' + id,
    method: 'delete'
  })
}

// 导出常用联系人
export function exportContacts(query) {
  return request({
    url: '/system/contacts/export',
    method: 'get',
    params: query
  })
}

// 常用联系人分组树形
export function treeContacts() {
  return request({
    url: '/system/contacts/treelist',
    method: 'get'
  })
}

// 分组下的用户列表
export function groupUser(id,query) {
  return request({
    url: '/system/contacts/group/' + id,
    method: 'get',
    params: query
  })
}

// 分组下的所有用户
export function groupUserAll(id,query) {
  return request({
    url: '/system/contacts/groupUserAll/' + id,
    method: 'get',
    params: query
  })
}
